# Sanitizer_ResourceModuleData Struct Reference
[Sanitizer Callback API]

Data passed into a module resource callback function. More...

## Data Fields

CUcontext | context
size_t | cubinSize
CUlibrary | library
CUmodule | module
const char * | pCubin

## Detailed Description

Data passed into a module resource callback function as the `cbdata` argument to Sanitizer_CallbackFunc. The `cbdata` will be this type for `domain` equal to SANITIZER_CB_DOMAIN_RESOURCE and `cbid` equal to SANITIZER_CBID_RESOURCE_MODULE_LOADED or SANITIZER_CBID_RESOURCE_MODULE_UNLOAD_STARTING. The callback data is only valid within the invocation of the callback function that is passed the data. If you need to retain some data for use outside of the callback, you must make a copy of it.

## Field Documentation

CUcontext Sanitizer_ResourceModuleData::context

The context containing the module being loaded or unloaded.